Login
Newsletter
Werbung

Sicherheit: XML External Entity-Verarbeitung in perl-XML-Twig
Aktuelle Meldungen Distributionen
Name: XML External Entity-Verarbeitung in perl-XML-Twig
ID: openSUSE-SU-2020:1204-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.2
Datum: Fr, 14. August 2020, 22:10
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9180
Applikationen: perl-XML-Twig

Originalnachricht

   openSUSE Security Update: Security update for perl-XML-Twig
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1204-1
Rating: moderate
References: #1008644
Cross-References: CVE-2016-9180
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for perl-XML-Twig fixes the following issues:

- Security fix [bsc#1008644, CVE-2016-9180]
* Setting expand_external_ents to 0 or -1 currently doesn't work as
expected; To completely turn off expanding external entities use
no_xxe.
* Update documentation for XML::Twig to mention problems with
expand_external_ents and add information about new no_xxe argument

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1204=1



Package List:

- openSUSE Leap 15.2 (noarch):

perl-XML-Twig-3.52-lp152.4.3.1


References:

https://www.suse.com/security/cve/CVE-2016-9180.html
https://bugzilla.suse.com/1008644

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung